# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with xmlgraphics

%define section free
%define bname   spring

%define upstream_version %{version}%{?upstream_tag}

Name:           spring3
Summary:        Spring J2EE Framework
Version:        3.0.5
Release:        2%{?dist}
Epoch:          0
License:        ASL 2.0
Group:          Development/Libraries/Application Frameworks
URL:            http://www.springframework.org/
# svn -q export https://src.springframework.org/svn/spring-framework/tags/spring-framework-3.0.5.RELEASE/ spring3-3.0.5 
# tar czf spring3-3.0.5.tgz spring3-3.0.5
Source0:        %{name}-%{upstream_version}.tgz
Source1:        http://static.springframework.org/spring/files/docbook-reference-libs.zip
#Source2:        spring3-component-info.xml
Source3:        spring3-3.0.5-ivy-cache.tgz
Source4:        http://repository.springsource.com.s3.amazonaws.com/ivy/bundles/external/org.apache.velocity/org.apache.velocity.docbookframework.dist/1.0.0.BUILD-20080625/ivy-1.0.0.BUILD-20080625.xml
Source5:        http://repository.springsource.com.s3.amazonaws.com/ivy/bundles/external/org.apache.velocity/org.apache.velocity.docbookframework.dist/1.0.0.BUILD-20080625/org.apache.velocity.docbookframework.dist-1.0.0.BUILD-20080625.zip
Source6:        http://repository.springsource.com/ivy/bundles/external/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/com.springsource.net.sf.xslthl-sources-1.2.0.jar
Source7:        http://repository.springsource.com/ivy/bundles/external/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/com.springsource.net.sf.xslthl-1.2.0.jar
Source8:        http://repository.springsource.com/ivy/bundles/external/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/ivy-1.2.0.xml
Patch0:         spring3-ivysettings.patch
Patch1:         spring3-oxm-ivy.patch
Patch2:         spring3-JdoTemplate.patch
Patch3:         spring3-aspect-common.patch
Patch4:         spring3-context-ivy.patch
Patch5:         spring3-web-struts-ivy.patch
Patch6:         spring3-aspects-build.patch
Patch7:         spring3-3.0.5-TilesViewTests.patch
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-1.6.0-devel
BuildRequires:  java-fonts
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-trax >= 0:1.7.1
BuildRequires:  ant-junit >= 0:1.7.1
BuildRequires:  ant-nodeps >= 0:1.7.1
BuildRequires:  apache-ivy
BuildRequires:  junit4 >= 0:4.7
BuildRequires:  junit-addons
BuildRequires:  junit44 >= 0:4.4
BuildRequires:  antlr
BuildRequires:  excalibur-avalon-framework
BuildRequires:  saxon

BuildRequires:  annotation_1_0_api
BuildRequires:  aopalliance
BuildRequires:  apache-ibatis-sqlmap >= 0:2.3.2
BuildRequires:  apache-jdo-2.0-api
BuildRequires:  openjpa >= 0:1.0.1
BuildRequires:  axis2
BuildRequires:  asm
BuildRequires:  asm2
BuildRequires:  aspectj >= 0:1.5.3
BuildRequires:  axis
BuildRequires:  backport-util-concurrent >= 0:3.1
BuildRequires:  bsh2
BuildRequires:  burlap >= 0:3.0.8
BuildRequires:  c3p0 >= 0:0.9.0
BuildRequires:  castor
BuildRequires:  cglib
BuildRequires:  commonj_1_1_apis
BuildRequires:  derby
BuildRequires:  dom4j
BuildRequires:  easymock
BuildRequires:  easymock-classextension2
BuildRequires:  ecj
BuildRequires:  ehcache >= 0:1.3.0
BuildRequires:  ehcache-core
BuildRequires:  ejb_3_0_api
BuildRequires:  el_1_0_api
%if %with xmlgraphics
BuildRequires:  xmlgraphics-fop
%endif
BuildRequires:  freemarker
BuildRequires:  geronimo-interceptor-3.0-api
BuildRequires:  glassfish-jstl
BuildRequires:  groovy16
BuildRequires:  h2database
BuildRequires:  hessian-nodep
BuildRequires:  hibernate3
BuildRequires:  hibernate3-annotations
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hsqldb
BuildRequires:  httpunit
BuildRequires:  itext
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  jackson
BuildRequires:  jaf_1_1_api
#BuildRequires:  jakarta-cactus
BuildRequires:  apache-commons-attributes
BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-digester
BuildRequires:  apache-commons-discovery
BuildRequires:  apache-commons-fileupload
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-pool
BuildRequires:  apache-commons-validator
BuildRequires:  jakarta-taglibs-standard
BuildRequires:  jamonapi
BuildRequires:  jarjar
BuildRequires:  jasperreports >= 0:2.0.4
BuildRequires:  jta_1_1_api
BuildRequires:  glassfish-javamail >= 0:1.4.0
BuildRequires:  jaxb_2_1_api
BuildRequires:  jaxen
BuildRequires:  jaxrpc_1_1_api
BuildRequires:  jaxws_2_1_api
BuildRequires:  jboss4-common
BuildRequires:  jdom
BuildRequires:  jetty6
BuildRequires:  jexcelapi
BuildRequires:  jibx
BuildRequires:  jmock
BuildRequires:  jms_1_1_api
BuildRequires:  jotm
BuildRequires:  jpa_3_0_api
BuildRequires:  jruby >= 0:1.1.1
BuildRequires:  jruby-bytelist
BuildRequires:  jsp_2_1_api
BuildRequires:  jta_1_0_1B_api
BuildRequires:  jakarta-poi >= 0:2.5.1
BuildRequires:  log4j
BuildRequires:  jsf_1_2_api
BuildRequires:  mx4j >= 0:3.0.1-2jpp
BuildRequires:  ognl
BuildRequires:  org.osgi.core
BuildRequires:  portlet-1.0-api
#BuildRequires:  qdox15 >= 0:1.5
BuildRequires:  quartz16
BuildRequires:  saaj_1_3_api
BuildRequires:  serp
BuildRequires:  servlet_2_4_api
BuildRequires:  slf4j
BuildRequires:  struts >= 0:1.3.8
BuildRequires:  struts-tiles >= 0:1.3.8
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  sun-jaxb-2.1-api
BuildRequires:  sun-jaxb-1.0-api
BuildRequires:  testng
BuildRequires:  tomcat6-lib
BuildRequires:  jtidy
BuildRequires:  tiles >= 0:2.1.3
BuildRequires:  tomcat5
BuildRequires:  unzip
BuildRequires:  validation_1_0_api
# XXX: (dwalluck): brew is 1.4;  upstream is velocity-1.5
BuildRequires:  velocity >= 0:1.5
# XXX: (dwalluck): brew is 1.2; upstream is velocity-tools-view-1.4
BuildRequires:  velocity-tools
BuildRequires:  ws_metadata_2_0_api
BuildRequires:  wsdl4j16
BuildRequires:  wstx32
BuildRequires:  xapool
BuildRequires:  xjavadoc
BuildRequires:  xerces-j2

Requires:       java >= 0:1.6.0
Requires:       java-fonts

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Spring is a layered Java/J2EE application framework, 
based on code published in Expert One-on-One J2EE 
Design and Development by Rod Johnson (Wrox, 2002). 

%package core
Summary:        Spring core
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       asm2
Requires:       backport-util-concurrent >= 0:3.0
Requires:       apache-commons-collections
Requires:       apache-commons-logging
Requires:       log4j

%description core
Spring bean container, core utilities
Optionals: log4j

%package aspects
Summary:        Spring aspects
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       aspectj >= 0:1.2.1
Requires:       apache-commons-logging

%description aspects
Spring AOP aspects, source level metadata support
Optionals: cglib, apache-commons-attributes

%package aop
Summary:        Spring aop
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-asm = %{epoch}:%{version}-%{release}
Requires:       aopalliance
Requires:       aspectj >= 0:1.5.4
Requires:       cglib >= 0:2.2
Requires:       apache-commons-pool
Requires:       jamonapi
Requires:       apache-commons-logging

%description aop
Spring AOP framework, source level metadata support

%package asm
Summary:        Spring asm
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       objectweb-asm

%description asm
Spring asm, source level metadata support

%package beans
Summary:        Spring beans
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       el_1_0_api
Requires:       atinject_1_0_api
Requires:       cglib >= 0:2.2
Requires:       apache-commons-logging

%description beans
%{summary}.

%package context
Summary:        Spring context
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-asm = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-expression = %{epoch}:%{version}-%{release}
Requires:       %{name}-instrument = %{epoch}:%{version}-%{release}
Requires:       annotation_1_0_api
Requires:       aopalliance
Requires:       apache-commons-logging
Requires:       aspectj >= 0:1.5.4
Requires:       atinject_1_0_api
Requires:       bsh2
Requires:       cglib >= 0:2.2
Requires:       ejb_3_0_api
Requires:       groovy16
Requires:       hibernate3-validator
Requires:       jaxws_2_1_api
Requires:       jms_1_1_api
Requires:       joda-time
Requires:       jpa_1_0_api
Requires:       jruby
Requires:       jta_1_1_api
Requires:       objectweb-asm >= 0:3.0
Requires:       validation_1_0_api

%description context
Spring application context, validation, UI support, mail,
JNDI, JMS, EJB, remoting, scheduling, caching

%package context-support
Summary:        Spring context-support
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       commonj_1_1_apis
Requires:       freemarker
Requires:       ehcache >= 0:1.3.0
Requires:       jaf_1_1_api
Requires:       apache-commons-collections >= 0:3.2
Requires:       apache-commons-logging
Requires:       jasperreports >= 0:2.0.4
Requires:       javamail_1_4_api
Requires:       quartz16
Requires:       velocity

%description context-support
Spring context support, transaction infrastructure, JDBC support

%package expression
Summary:        Spring expressions
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = %{epoch}:%{version}-%{release}

%description expression
%{summary}.

%package instrument
Summary:        Spring instrument
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-core = %{epoch}:%{version}-%{release}

%description instrument
%{summary}.

%package instrument-tomcat
Summary:        Spring instrument tomcat
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-instrument = %{epoch}:%{version}-%{release}
Requires:       tomcat6-lib

%description instrument-tomcat
%{summary}.

%package integration-tests
Summary:        Spring integration tests
Group:          Development/Libraries/Application Frameworks
#Requires:       caucho
#Requires:       websphere-uow
Requires:       quartz16
#Requires:       toplink2
#Requires:       syndication
Requires:       backport-util-concurrent
Requires:       ejb_3_0_api
Requires:       el_1_0_api
Requires:       jsf_1_2_api
#Requires:       jdo_2_1_api
Requires:       jms_1_1_api
Requires:       javamail_1_4_api
Requires:       portlet_2_0_api
Requires:       j2ee_connector_1_5_api
Requires:       servlet_2_5_api
Requires:       jsp_2_1_api
Requires:       jstl
Requires:       jta_1_1_api
Requires:       jaxrpc_1_1_api
Requires:       cglib
Requires:       ehcache
Requires:       jasperreports
Requires:       jexcelapi
Requires:       antlr
Requires:       apache-commons-dbcp
Requires:       apache-commons-fileupload
Requires:       apache-commons-pool
Requires:       apache-ibatis-sqlmap >= 0:2.3.2
Requires:       openjpa
Requires:       apache-poi
Requires:       tiles
Requires:       velocity
Requires:       velocity-tools
Requires:       aspectj
Requires:       groovy16
Requires:       dom4j
Requires:       easymock2
Requires:       easymock-classextension2
Requires:       freemarker
Requires:       hibernate3
Requires:       hibernate3-annotations
Requires:       hibernate3-commons-annotations
Requires:       hibernate3-entitymanager
Requires:       hsqldb
Requires:       jruby
Requires:       asm2
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-context-support = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-jms = %{epoch}:%{version}-%{release}
Requires:       %{name}-orm = %{epoch}:%{version}-%{release}
Requires:       %{name}-test = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       %{name}-web-portlet = %{epoch}:%{version}-%{release}
Requires:       %{name}-web-servlet = %{epoch}:%{version}-%{release}
Requires:       log4j
Requires:       xmlunit
Requires:       junit4
Requires:       testng

%description integration-tests
%{summary}.

%package jms
Summary:        Spring jms
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-oxm = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       aopalliance
Requires:       apache-commons-logging
Requires:       apache-commons-pool
Requires:       jms_1_1_api
Requires:       j2ee_connector_1_5_api
Requires:       jta_1_1_api

%description jms
%{summary}.

%package jdbc
Summary:        Spring jdbc
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       c3p0
Requires:       derby
Requires:       apache-commons-logging
Requires:       hsqldb
Requires:       h2database
Requires:       jta_1_1_api

%description jdbc
%{summary}.

%package orm
Summary:        Spring orm
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       aopalliance
Requires:       apache-commons-logging
Requires:       apache-jdo-2.0-api
Requires:       apache-ibatis-sqlmap >= 0:2.3.2
Requires:       cglib
Requires:       hibernate3
Requires:       hibernate3-annotations
Requires:       hibernate3-entitymanager
Requires:       jpa_1_0_api
Requires:       jta_1_1_api
Requires:       openjpa
Requires:       servlet_2_5_api

%description orm
Spring Hibernate support, JDO support, Apache OJB, iBATIS SQL Maps

%package oxm
Summary:        Spring orm
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       castor
Requires:       jibx
Requires:       sun-jaxb-2.1-impl
Requires:       xerces-j2
Requires:       xmlbeans
Requires:       xstream

%description oxm
Spring OXM

%package test
Summary:        Spring test
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-jdbc = %{epoch}:%{version}-%{release}
Requires:       %{name}-orm = %{epoch}:%{version}-%{release}
Requires:       %{name}-tx = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       %{name}-web-portlet = %{epoch}:%{version}-%{release}
Requires:       %{name}-web-servlet = %{epoch}:%{version}-%{release}
Requires:       aspectj >= 0:1.5.3
Requires:       atinject_1_0_api
Requires:       el_1_0_api
Requires:       jaf_1_1_api
Requires:       jpa_1_0_api
Requires:       jsp_2_1_api
Requires:       jta_1_1_api
Requires:       junit
Requires:       servlet_2_5_api
Requires:       apache-commons-logging
Requires:       jakarta-taglibs-standard
Requires:       portlet_2_0_api
Requires:       testng

%description test
%{summary}.

%package tx
Summary:        Spring transaction
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       aopalliance
Requires:       ejb_3_0_api
Requires:       j2ee_connector_1_5_api
Requires:       jta_1_1_api
Requires:       apache-commons-logging

%description tx
%{summary}.

%package web
Summary:        Spring web
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-aop = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-oxm = %{epoch}:%{version}-%{release}
Requires:       aopalliance
Requires:       axis2
Requires:       hessian-nodep
Requires:       apache-commons-fileupload
Requires:       apache-commons-logging
Requires:       jackson
Requires:       jakarta-taglibs-standard
Requires:       apache-commons-httpclient
Requires:       portlet_2_0_api
Requires:       jsp_2_1_api
Requires:       servlet_2_5_api
Requires:       log4j
Requires:       el_1_0_api
Requires:       jaxrpc_1_1_api
Requires:       jaxws_2_1_api
Requires:       jsf_1_2_api
Requires:       saaj_1_3_api

%description web
Spring web application support, multipart resolver, struts support,
web utilities
Optionals: jspapi, jakarta-taglibs-standard, apache-commons-fileupload,
struts

%package web-servlet
Summary:        Spring web-servlet
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-asm = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-context-support = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-expression = %{epoch}:%{version}-%{release}
Requires:       %{name}-orm = %{epoch}:%{version}-%{release}
Requires:       %{name}-oxm = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       el_1_0_api
Requires:       freemarker
Requires:       itext
Requires:       apache-commons-logging
Requires:       jackson
Requires:       jakarta-taglibs-standard
Requires:       jasperreports >= 0:2.0.2
Requires:       jexcelapi
Requires:       jsp_2_1_api
Requires:       jstl
Requires:       jta_1_1_api
Requires:       rome
Requires:       servlet_2_5_api
Requires:       tiles
Requires:       validation_1_0_api
Requires:       velocity
Requires:       velocity-tools

%description web-servlet
Spring framework servlets, web MVC framework, web controllers, web views
Optionals: tiles, itext, poi

%package web-portlet
Summary:        Spring web-portlet
Group:          Development/Libraries/Application Frameworks
Requires:       %{name}-asm = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       %{name}-web-servlet = %{epoch}:%{version}-%{release}
Requires:       apache-commons-fileupload
Requires:       apache-commons-logging
Requires:       el_1_0_api
Requires:       jsp_2_1_api
Requires:       jstl
Requires:       portlet_2_0_api
Requires:       servlet_2_5_api

%description web-portlet
Spring framework portlet support
Optionals: tiles, itext, poi

%package web-struts
Summary:        Spring web-struts
Group:          Development/Libraries/Application Frameworks
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-beans = %{epoch}:%{version}-%{release}
Requires:       %{name}-context = %{epoch}:%{version}-%{release}
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-test = %{epoch}:%{version}-%{release}
Requires:       %{name}-web = %{epoch}:%{version}-%{release}
Requires:       %{name}-web-servlet = %{epoch}:%{version}-%{release}
Requires:       apache-commons-beanutils
Requires:       jsp_2_1_api
Requires:       jstl
Requires:       servlet_2_5_api
Requires:       struts >= 0:1.3.8

%description web-struts
Spring framework struts support
Optionals: tiles, itext, poi

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation
Requires:       %{name}-javadoc = %{epoch}:%{version}-%{release}

%description manual
%{summary}.

%package devel
Summary:        Source jars for %{name}
Group:          Development/Java

%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{upstream_version}
#pushd docs/reference
tar xzf %{SOURCE3}

#popd
chmod -R go=u-w *
#find spring-build -name "*.jar" -exec rm {} \;
for f in $(find spring-build -name "*.jar"); do
    mv $f $f.no
done

ln -s $(build-classpath apache-ivy) spring-build/lib/ivy/ivy.jar
mv spring-build/lib/ivy/org.springframework.build.aws.ivy.jar.no spring-build/lib/ivy/org.springframework.build.aws.ivy.jar
mv spring-build/lib/ivy/jets3t.jar.no spring-build/lib/ivy/jets3t.jar
ln -s $(build-classpath commons-codec) spring-build/lib/ivy/commons-codec.jar
ln -s $(build-classpath commons-httpclient) spring-build/lib/ivy/commons-httpclient.jar
ln -s $(build-classpath commons-logging) spring-build/lib/ivy/commons-logging.jar


%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7

mkdir -p local-repository/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/
cp %{SOURCE6} local-repository/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/com.springsource.net.sf.xslthl-sources-1.2.0.jar
cp %{SOURCE7} local-repository/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/com.springsource.net.sf.xslthl-1.2.0.jar
cp %{SOURCE8} local-repository/net.sourceforge.xslthl/com.springsource.net.sf.xslthl/1.2.0/ivy-1.2.0.xml

mkdir -p local-repository/org.apache.velocity/org.apache.velocity.docbookframework.dist/1.0.0.BUILD-20080625/
cp -p %{SOURCE4} local-repository/org.apache.velocity/org.apache.velocity.docbookframework.dist/1.0.0.BUILD-20080625/ivy-1.0.0.BUILD-20080625.xml
cp -p %{SOURCE5} local-repository/org.apache.velocity/org.apache.velocity.docbookframework.dist/1.0.0.BUILD-20080625/org.apache.velocity.docbookframework.dist-1.0.0.BUILD-20080625.zip

# ivy-cache/repository/com.bea.commonj/com.springsource.commonj/1.1.0/com.springsource.commonj-1.1.0.jar

# ivy-cache/repository/com.caucho/com.springsource.com.caucho/3.2.1/com.springsource.com.caucho-3.2.1.jar

rm ivy-cache/repository/com.google.jarjar/com.springsource.com.tonicsystems.jarjar/1.0.0/com.springsource.com.tonicsystems.jarjar-1.0.0.jar
mkdir -p ivy-cache/repository/com.google.jarjar/com.springsource.com.tonicsystems.jarjar/1.0.0/
ln -sf $(build-classpath jarjar) ivy-cache/repository/com.google.jarjar/com.springsource.com.tonicsystems.jarjar/1.0.0/com.springsource.com.tonicsystems.jarjar-1.0.0.jar
rm ivy-cache/repository/com.h2database/com.springsource.org.h2/1.0.71/com.springsource.org.h2-1.0.71.jar
mkdir -p ivy-cache/repository/com.h2database/com.springsource.org.h2/1.0.71/
ln -sf $(build-classpath h2database) ivy-cache/repository/com.h2database/com.springsource.org.h2/1.0.71/com.springsource.org.h2-1.0.71.jar
#ivy-cache/repository/com.ibm.websphere/com.springsource.com.ibm.websphere.uow/6.0.2.17/com.springsource.com.ibm.websphere.uow-6.0.2.17.jar

rm ivy-cache/repository/com.jamonapi/com.springsource.com.jamonapi/2.4.0/com.springsource.com.jamonapi-2.4.0.jar
mkdir -p ivy-cache/repository/com.jamonapi/com.springsource.com.jamonapi/2.4.0/
ln -sf $(build-classpath jamonapi) ivy-cache/repository/com.jamonapi/com.springsource.com.jamonapi/2.4.0/com.springsource.com.jamonapi-2.4.0.jar
#ivy-cache/repository/com.lowagie.text/com.springsource.com.lowagie.text/2.0.8/com.springsource.com.lowagie.text-2.0.8.jar

#ivy-cache/repository/com.mchange.c3p0/com.springsource.com.mchange.v2.c3p0/0.9.1.2/com.springsource.com.mchange.v2.c3p0-0.9.1.2.jar

rm ivy-cache/repository/com.opensymphony.quartz/com.springsource.org.quartz/1.6.2/com.springsource.org.quartz-1.6.2.jar
mkdir -p ivy-cache/repository/com.opensymphony.quartz/com.springsource.org.quartz/1.6.2/
ln -sf $(build-classpath quartz16)  ivy-cache/repository/com.opensymphony.quartz/com.springsource.org.quartz/1.6.2/com.springsource.org.quartz-1.6.2.jar
#ivy-cache/repository/com.oracle.toplink.essentials/com.springsource.oracle.toplink.essentials/2.0.0.b41-beta2/com.springsource.oracle.toplink.essentials-2.0.0.b41-beta2.jar

#ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor/1.0.0.RELEASE/com.springsource.bundlor-1.0.0.RELEASE.jar

#ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.ant/1.0.0.RELEASE/com.springsource.bundlor.ant-1.0.0.RELEASE.jar

#ivy-cache/repository/com.springsource.bundlor/com.springsource.bundlor.blint/1.0.0.RELEASE/com.springsource.bundlor.blint-1.0.0.RELEASE.jar

#ivy-cache/repository/com.springsource.util/com.springsource.util.common/2.0.0.RELEASE/com.springsource.util.common-2.0.0.RELEASE.jar

#ivy-cache/repository/com.springsource.util/com.springsource.util.math/2.0.0.RELEASE/com.springsource.util.math-2.0.0.RELEASE.jar

#ivy-cache/repository/com.springsource.util/com.springsource.util.osgi/2.0.0.RELEASE/com.springsource.util.osgi-2.0.0.RELEASE.jar

#ivy-cache/repository/com.springsource.util/com.springsource.util.parser.manifest/2.0.0.RELEASE/com.springsource.util.parser.manifest-2.0.0.RELEASE.jar

rm ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv/0.0.0.20081113/com.springsource.com.sun.msv-0.0.0.20081113.jar
mkdir -p ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv/0.0.0.20081113/
ln -sf $(build-classpath msv-msv) ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv/0.0.0.20081113/com.springsource.com.sun.msv-0.0.0.20081113.jar
rm ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv.datatype/0.0.0.20041122/com.springsource.com.sun.msv.datatype-0.0.0.20041122.jar
mkdir -p ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv.datatype/0.0.0.20041122/
ln -sf $(build-classpath relaxngDatatype) ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv.datatype/0.0.0.20041122/com.springsource.com.sun.msv.datatype-0.0.0.20041122.jar
rm ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv.datatype/0.0.0.20060615/com.springsource.com.sun.msv.datatype-0.0.0.20060615.jar
mkdir -p ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv.datatype/0.0.0.20060615/
ln -sf $(build-classpath relaxngDatatype) ivy-cache/repository/com.sun.msv/com.springsource.com.sun.msv.datatype/0.0.0.20060615/com.springsource.com.sun.msv.datatype-0.0.0.20060615.jar
#ivy-cache/repository/com.sun.syndication/com.springsource.com.sun.syndication/1.0.0/com.springsource.com.sun.syndication-1.0.0.jar

rm ivy-cache/repository/com.sun.xml/com.springsource.com.sun.tools.xjc/2.1.7/com.springsource.com.sun.tools.xjc-2.1.7.jar
mkdir -p ivy-cache/repository/com.sun.xml/com.springsource.com.sun.tools.xjc/2.1.7/
ln -sf $(build-classpath sun-jaxb-2.1-impl-xjc) ivy-cache/repository/com.sun.xml/com.springsource.com.sun.tools.xjc/2.1.7/com.springsource.com.sun.tools.xjc-2.1.7.jar
rm ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.bind/2.1.7/com.springsource.com.sun.xml.bind-2.1.7.jar
mkdir -p ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.bind/2.1.7/
ln -sf $(build-classpath sun-jaxb-2.1-api) ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.bind/2.1.7/com.springsource.com.sun.xml.bind-2.1.7.jar
rm ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.bind.jaxb1/2.1.7/com.springsource.com.sun.xml.bind.jaxb1-2.1.7.jar
mkdir -p ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.bind.jaxb1/2.1.7/
ln -sf $(build-classpath sun-jaxb-1.0-api) ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.bind.jaxb1/2.1.7/com.springsource.com.sun.xml.bind.jaxb1-2.1.7.jar
rm ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.fastinfoset/1.2.2/com.springsource.com.sun.xml.fastinfoset-1.2.2.jar
mkdir -p ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.fastinfoset/1.2.2/
ln -sf $(build-classpath sun-fi) ivy-cache/repository/com.sun.xml/com.springsource.com.sun.xml.fastinfoset/1.2.2/com.springsource.com.sun.xml.fastinfoset-1.2.2.jar
rm ivy-cache/repository/com.thoughtworks.xstream/com.springsource.com.thoughtworks.xstream/1.3.1/com.springsource.com.thoughtworks.xstream-1.3.1.jar
mkdir -p ivy-cache/repository/com.thoughtworks.xstream/com.springsource.com.thoughtworks.xstream/1.3.1/
ln -sf $(build-classpath xstream) ivy-cache/repository/com.thoughtworks.xstream/com.springsource.com.thoughtworks.xstream/1.3.1/com.springsource.com.thoughtworks.xstream-1.3.1.jar
#ivy-cache/repository/edu.emory.mathcs.backport/com.springsource.edu.emory.mathcs.backport/3.0.0/com.springsource.edu.emory.mathcs.backport-3.0.0.jar

rm ivy-cache/repository/edu.oswego.cs.concurrent/com.springsource.edu.oswego.cs.dl.util.concurrent/1.3.4/com.springsource.edu.oswego.cs.dl.util.concurrent-1.3.4.jar
mkdir -p ivy-cache/repository/edu.oswego.cs.concurrent/com.springsource.edu.oswego.cs.dl.util.concurrent/1.3.4/
ln -sf $(build-classpath backport-util-concurrent) ivy-cache/repository/edu.oswego.cs.concurrent/com.springsource.edu.oswego.cs.dl.util.concurrent/1.3.4/com.springsource.edu.oswego.cs.dl.util.concurrent-1.3.4.jar
rm ivy-cache/repository/javax.activation/com.springsource.javax.activation/1.1.0/com.springsource.javax.activation-1.1.0.jar
mkdir -p ivy-cache/repository/javax.activation/com.springsource.javax.activation/1.1.0/
ln -sf $(build-classpath jaf_1_1_api) ivy-cache/repository/javax.activation/com.springsource.javax.activation/1.1.0/com.springsource.javax.activation-1.1.0.jar
rm ivy-cache/repository/javax.annotation/com.springsource.javax.annotation/1.0.0/com.springsource.javax.annotation-1.0.0.jar
mkdir -p ivy-cache/repository/javax.annotation/com.springsource.javax.annotation/1.0.0/
ln -sf $(build-classpath annotation_1_0_api) ivy-cache/repository/javax.annotation/com.springsource.javax.annotation/1.0.0/com.springsource.javax.annotation-1.0.0.jar
rm ivy-cache/repository/javax.ejb/com.springsource.javax.ejb/3.0.0/com.springsource.javax.ejb-3.0.0.jar
mkdir -p ivy-cache/repository/javax.ejb/com.springsource.javax.ejb/3.0.0/
ln -sf $(build-classpath ejb_3_0_api) ivy-cache/repository/javax.ejb/com.springsource.javax.ejb/3.0.0/com.springsource.javax.ejb-3.0.0.jar

mkdir -p ivy-cache/repository/javax.interceptor/com.springsource.javax.interceptor/3.0.0/
ln -sf $(build-classpath interceptor_3_0_api) ivy-cache/repository/javax.interceptor/com.springsource.javax.interceptor/3.0.0/com.springsource.javax.interceptor-3.0.0.jar

rm ivy-cache/repository/javax.el/com.springsource.javax.el/1.0.0/com.springsource.javax.el-1.0.0.jar
mkdir -p ivy-cache/repository/javax.el/com.springsource.javax.el/1.0.0/
ln -sf $(build-classpath el_1_0_api) ivy-cache/repository/javax.el/com.springsource.javax.el/1.0.0/com.springsource.javax.el-1.0.0.jar
rm ivy-cache/repository/javax.faces/com.springsource.javax.faces/1.2.0.08/com.springsource.javax.faces-1.2.0.08.jar
mkdir -p ivy-cache/repository/javax.faces/com.springsource.javax.faces/1.2.0.08/
ln -sf $(build-classpath jsf_1_2_api) ivy-cache/repository/javax.faces/com.springsource.javax.faces/1.2.0.08/com.springsource.javax.faces-1.2.0.08.jar
#ivy-cache/repository/javax.inject/com.springsource.javax.inject/1.0.0/com.springsource.javax.inject-1.0.0.jar

#ivy-cache/repository/javax.inject/com.springsource.org.atinject.tck/1.0.0/com.springsource.org.atinject.tck-1.0.0.jar

# ivy-cache/repository/javax.jdo/com.springsource.javax.jdo/2.1.0/com.springsource.javax.jdo-2.1.0.jar

rm ivy-cache/repository/javax.jms/com.springsource.javax.jms/1.1.0/com.springsource.javax.jms-1.1.0.jar
mkdir -p ivy-cache/repository/javax.jms/com.springsource.javax.jms/1.1.0/
ln -sf $(build-classpath jms_1_1_api) ivy-cache/repository/javax.jms/com.springsource.javax.jms/1.1.0/com.springsource.javax.jms-1.1.0.jar
rm ivy-cache/repository/javax.mail/com.springsource.javax.mail/1.4.0/com.springsource.javax.mail-1.4.0.jar
mkdir -p ivy-cache/repository/javax.mail/com.springsource.javax.mail/1.4.0/
ln -sf $(build-classpath javamail_1_4_api) ivy-cache/repository/javax.mail/com.springsource.javax.mail/1.4.0/com.springsource.javax.mail-1.4.0.jar
rm ivy-cache/repository/javax.persistence/com.springsource.javax.persistence/1.0.0/com.springsource.javax.persistence-1.0.0.jar
mkdir -p ivy-cache/repository/javax.persistence/com.springsource.javax.persistence/1.0.0/
ln -sf $(build-classpath jpa_1_0_api) ivy-cache/repository/javax.persistence/com.springsource.javax.persistence/1.0.0/com.springsource.javax.persistence-1.0.0.jar
# ivy-cache/repository/javax.portlet/com.springsource.javax.portlet/2.0.0/com.springsource.javax.portlet-2.0.0.jar

rm ivy-cache/repository/javax.resource/com.springsource.javax.resource/1.5.0/com.springsource.javax.resource-1.5.0.jar
mkdir -p ivy-cache/repository/javax.resource/com.springsource.javax.resource/1.5.0/
ln -sf $(build-classpath j2ee_connector_1_5_api) ivy-cache/repository/javax.resource/com.springsource.javax.resource/1.5.0/com.springsource.javax.resource-1.5.0.jar
rm ivy-cache/repository/javax.servlet/com.springsource.javax.servlet/2.5.0/com.springsource.javax.servlet-2.5.0.jar
mkdir -p ivy-cache/repository/javax.servlet/com.springsource.javax.servlet/2.5.0/
ln -sf $(build-classpath servlet_2_5_api) ivy-cache/repository/javax.servlet/com.springsource.javax.servlet/2.5.0/com.springsource.javax.servlet-2.5.0.jar
rm ivy-cache/repository/javax.servlet/com.springsource.javax.servlet.jsp/2.1.0/com.springsource.javax.servlet.jsp-2.1.0.jar
mkdir -p ivy-cache/repository/javax.servlet/com.springsource.javax.servlet.jsp/2.1.0/
ln -sf $(build-classpath jsp_2_1_api) ivy-cache/repository/javax.servlet/com.springsource.javax.servlet.jsp/2.1.0/com.springsource.javax.servlet.jsp-2.1.0.jar
rm ivy-cache/repository/javax.servlet/com.springsource.javax.servlet.jsp.jstl/1.1.2/com.springsource.javax.servlet.jsp.jstl-1.1.2.jar
mkdir -p ivy-cache/repository/javax.servlet/com.springsource.javax.servlet.jsp.jstl/1.1.2/
ln -sf $(build-classpath jstl) ivy-cache/repository/javax.servlet/com.springsource.javax.servlet.jsp.jstl/1.1.2/com.springsource.javax.servlet.jsp.jstl-1.1.2.jar
rm ivy-cache/repository/javax.transaction/com.springsource.javax.transaction/1.1.0/com.springsource.javax.transaction-1.1.0.jar
mkdir -p ivy-cache/repository/javax.transaction/com.springsource.javax.transaction/1.1.0/
ln -sf $(build-classpath jta_1_1_api) ivy-cache/repository/javax.transaction/com.springsource.javax.transaction/1.1.0/com.springsource.javax.transaction-1.1.0.jar
rm ivy-cache/repository/javax.validation/com.springsource.javax.validation/1.0.0.GA/com.springsource.javax.validation-1.0.0.GA.jar
mkdir -p ivy-cache/repository/javax.validation/com.springsource.javax.validation/1.0.0.GA/
ln -sf $(build-classpath validation_1_0_api) ivy-cache/repository/javax.validation/com.springsource.javax.validation/1.0.0.GA/com.springsource.javax.validation-1.0.0.GA.jar

####rm ivy-cache/repository/javax.xml.bind/com.springsource.javax.xml.bind/2.1.7/com.springsource.javax.xml.bind-2.1.7.jar
#ln -sf $(build-classpath jaxb_2_1_api) ivy-cache/repository/javax.xml.bind/com.springsource.javax.xml.bind/2.1.7/com.springsource.javax.xml.bind-2.1.7.jar
mkdir -p ivy-cache/repository/javax.xml.bind/com.springsource.javax.xml.bind.api/2.1.7/
ln -sf $(build-classpath jaxb_2_1_api) ivy-cache/repository/javax.xml.bind/com.springsource.javax.xml.bind.api/2.1.7/com.springsource.javax.xml.bind.api-2.1.7.jar
mkdir -p ivy-cache/repository/javax.xml.bind/com.springsource.javax.xml.bind.impl/2.1.7/
ln -sf $(build-classpath sun-jaxb-2.1-impl) ivy-cache/repository/javax.xml.bind/com.springsource.javax.xml.bind.impl/2.1.7/com.springsource.javax.xml.bind.impl-2.1.7.jar

rm ivy-cache/repository/javax.xml.rpc/com.springsource.javax.xml.rpc/1.1.0/com.springsource.javax.xml.rpc-1.1.0.jar
mkdir -p ivy-cache/repository/javax.xml.rpc/com.springsource.javax.xml.rpc/1.1.0/
ln -sf $(build-classpath jaxrpc_1_1_api) ivy-cache/repository/javax.xml.rpc/com.springsource.javax.xml.rpc/1.1.0/com.springsource.javax.xml.rpc-1.1.0.jar
# ivy-cache/repository/javax.xml.soap/com.springsource.javax.xml.soap/1.3.0/com.springsource.javax.xml.soap-1.3.0.jar


rm ivy-cache/repository/javax.xml.stream/com.springsource.javax.xml.stream/1.0.1/com.springsource.javax.xml.stream-1.0.1.jar
mkdir -p ivy-cache/repository/javax.xml.stream/com.springsource.javax.xml.stream/1.0.1/
ln -sf $(build-classpath stax_1_0_api) ivy-cache/repository/javax.xml.stream/com.springsource.javax.xml.stream/1.0.1/com.springsource.javax.xml.stream-1.0.1.jar
rm ivy-cache/repository/javax.xml.ws/com.springsource.javax.xml.ws/2.1.1/com.springsource.javax.xml.ws-2.1.1.jar
mkdir -p ivy-cache/repository/javax.xml.ws/com.springsource.javax.xml.ws/2.1.1/
ln -sf $(build-classpath ws_metadata_2_0_api) ivy-cache/repository/javax.xml.ws/com.springsource.javax.xml.ws/2.1.1/com.springsource.javax.xml.ws-2.1.1.jar
rm ivy-cache/repository/net.sourceforge.cglib/com.springsource.net.sf.cglib/2.1.3/com.springsource.net.sf.cglib-2.1.3.jar
mkdir -p ivy-cache/repository/net.sourceforge.cglib/com.springsource.net.sf.cglib/2.1.3/
ln -sf $(build-classpath cglib21-nodep) ivy-cache/repository/net.sourceforge.cglib/com.springsource.net.sf.cglib/2.1.3/com.springsource.net.sf.cglib-2.1.3.jar
rm ivy-cache/repository/net.sourceforge.cglib/com.springsource.net.sf.cglib/2.2.0/com.springsource.net.sf.cglib-2.2.0.jar
mkdir -p ivy-cache/repository/net.sourceforge.cglib/com.springsource.net.sf.cglib/2.2.0/
ln -sf $(build-classpath cglib-nodep) ivy-cache/repository/net.sourceforge.cglib/com.springsource.net.sf.cglib/2.2.0/com.springsource.net.sf.cglib-2.2.0.jar
rm ivy-cache/repository/net.sourceforge.ehcache/com.springsource.net.sf.ehcache/1.6.2/com.springsource.net.sf.ehcache-1.6.2.jar
mkdir -p ivy-cache/repository/net.sourceforge.ehcache/com.springsource.net.sf.ehcache/1.6.2/
ln -sf $(build-classpath ehcache-core) ivy-cache/repository/net.sourceforge.ehcache/com.springsource.net.sf.ehcache/1.6.2/com.springsource.net.sf.ehcache-1.6.2.jar
rm ivy-cache/repository/net.sourceforge.iso-relax/com.springsource.org.iso_relax.verifier/0.0.0.20041111/com.springsource.org.iso_relax.verifier-0.0.0.20041111.jar
mkdir -p ivy-cache/repository/net.sourceforge.iso-relax/com.springsource.org.iso_relax.verifier/0.0.0.20041111/
ln -sf $(build-classpath isorelax) ivy-cache/repository/net.sourceforge.iso-relax/com.springsource.org.iso_relax.verifier/0.0.0.20041111/com.springsource.org.iso_relax.verifier-0.0.0.20041111.jar
rm ivy-cache/repository/net.sourceforge.jasperreports/com.springsource.net.sf.jasperreports/2.0.5/com.springsource.net.sf.jasperreports-2.0.5.jar
mkdir -p ivy-cache/repository/net.sourceforge.jasperreports/com.springsource.net.sf.jasperreports/2.0.5/
ln -sf $(build-classpath jasperreports) ivy-cache/repository/net.sourceforge.jasperreports/com.springsource.net.sf.jasperreports/2.0.5/com.springsource.net.sf.jasperreports-2.0.5.jar
#ivy-cache/repository/net.sourceforge.jexcelapi/com.springsource.jxl/2.6.6/com.springsource.jxl-2.6.6.jar

rm ivy-cache/repository/net.sourceforge.jibx/com.springsource.org.jibx.binding/1.1.5/com.springsource.org.jibx.binding-1.1.5.jar
mkdir -p ivy-cache/repository/net.sourceforge.jibx/com.springsource.org.jibx.binding/1.1.5/
ln -sf $(build-classpath jibx/bind) ivy-cache/repository/net.sourceforge.jibx/com.springsource.org.jibx.binding/1.1.5/com.springsource.org.jibx.binding-1.1.5.jar
rm ivy-cache/repository/net.sourceforge.jibx/com.springsource.org.jibx.runtime/1.1.5/com.springsource.org.jibx.runtime-1.1.5.jar
mkdir -p ivy-cache/repository/net.sourceforge.jibx/com.springsource.org.jibx.runtime/1.1.5/
ln -sf $(build-classpath jibx/run) ivy-cache/repository/net.sourceforge.jibx/com.springsource.org.jibx.runtime/1.1.5/com.springsource.org.jibx.runtime-1.1.5.jar
rm ivy-cache/repository/net.sourceforge.serp/com.springsource.serp/1.13.1/com.springsource.serp-1.13.1.jar
mkdir -p ivy-cache/repository/net.sourceforge.serp/com.springsource.serp/1.13.1/
ln -sf $(build-classpath serp) ivy-cache/repository/net.sourceforge.serp/com.springsource.serp/1.13.1/com.springsource.serp-1.13.1.jar
rm ivy-cache/repository/org.antlr/com.springsource.antlr/2.7.6/com.springsource.antlr-2.7.6.jar
mkdir -p ivy-cache/repository/org.antlr/com.springsource.antlr/2.7.6/
ln -sf $(build-classpath antlr) ivy-cache/repository/org.antlr/com.springsource.antlr/2.7.6/com.springsource.antlr-2.7.6.jar
rm ivy-cache/repository/org.antlr/com.springsource.antlr/2.7.7/com.springsource.antlr-2.7.7.jar
mkdir -p ivy-cache/repository/org.antlr/com.springsource.antlr/2.7.7/
ln -sf $(build-classpath antlr) ivy-cache/repository/org.antlr/com.springsource.antlr/2.7.7/com.springsource.antlr-2.7.7.jar
rm ivy-cache/repository/org.aopalliance/com.springsource.org.aopalliance/1.0.0/com.springsource.org.aopalliance-1.0.0.jar
mkdir -p ivy-cache/repository/org.aopalliance/com.springsource.org.aopalliance/1.0.0/
ln -sf $(build-classpath aopalliance) ivy-cache/repository/org.aopalliance/com.springsource.org.aopalliance/1.0.0/com.springsource.org.aopalliance-1.0.0.jar
rm ivy-cache/repository/org.apache.axis/com.springsource.org.apache.axis/1.4.0/com.springsource.org.apache.axis-1.4.0.jar
mkdir -p ivy-cache/repository/org.apache.axis/com.springsource.org.apache.axis/1.4.0/
ln -sf $(build-classpath axis2/core) ivy-cache/repository/org.apache.axis/com.springsource.org.apache.axis/1.4.0/com.springsource.org.apache.axis-1.4.0.jar
rm ivy-cache/repository/org.apache.bcel/com.springsource.org.apache.bcel/5.1.0/com.springsource.org.apache.bcel-5.1.0.jar
mkdir -p ivy-cache/repository/org.apache.bcel/com.springsource.org.apache.bcel/5.1.0/
ln -sf $(build-classpath bcel) ivy-cache/repository/org.apache.bcel/com.springsource.org.apache.bcel/5.1.0/com.springsource.org.apache.bcel-5.1.0.jar
rm ivy-cache/repository/org.apache.catalina/com.springsource.org.apache.catalina/6.0.16/com.springsource.org.apache.catalina-6.0.16.jar
mkdir -p ivy-cache/repository/org.apache.catalina/com.springsource.org.apache.catalina/6.0.16/
ln -sf $(build-classpath tomcat6/catalina) ivy-cache/repository/org.apache.catalina/com.springsource.org.apache.catalina/6.0.16/com.springsource.org.apache.catalina-6.0.16.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.beanutils/1.7.0/com.springsource.org.apache.commons.beanutils-1.7.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.beanutils/1.7.0/
ln -sf $(build-classpath commons-beanutils) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.beanutils/1.7.0/com.springsource.org.apache.commons.beanutils-1.7.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.beanutils/1.8.0/com.springsource.org.apache.commons.beanutils-1.8.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.beanutils/1.8.0/
ln -sf $(build-classpath commons-beanutils) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.beanutils/1.8.0/com.springsource.org.apache.commons.beanutils-1.8.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/com.springsource.org.apache.commons.codec-1.3.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/
ln -sf $(build-classpath commons-codec) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.codec/1.3.0/com.springsource.org.apache.commons.codec-1.3.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.collections/3.2.0/com.springsource.org.apache.commons.collections-3.2.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.collections/3.2.0/
ln -sf $(build-classpath commons-collections) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.collections/3.2.0/com.springsource.org.apache.commons.collections-3.2.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.collections/3.2.1/com.springsource.org.apache.commons.collections-3.2.1.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.collections/3.2.1/
ln -sf $(build-classpath commons-collections) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.collections/3.2.1/com.springsource.org.apache.commons.collections-3.2.1.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.dbcp/1.2.2.osgi/com.springsource.org.apache.commons.dbcp-1.2.2.osgi.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.dbcp/1.2.2.osgi/
ln -sf $(build-classpath commons-dbcp) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.dbcp/1.2.2.osgi/com.springsource.org.apache.commons.dbcp-1.2.2.osgi.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.digester/1.8.0/com.springsource.org.apache.commons.digester-1.8.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.digester/1.8.0/
ln -sf $(build-classpath commons-digester) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.digester/1.8.0/com.springsource.org.apache.commons.digester-1.8.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.digester/1.8.1/com.springsource.org.apache.commons.digester-1.8.1.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.digester/1.8.1/
ln -sf $(build-classpath commons-digester) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.digester/1.8.1/com.springsource.org.apache.commons.digester-1.8.1.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.discovery/0.4.0/com.springsource.org.apache.commons.discovery-0.4.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.discovery/0.4.0/
ln -sf $(build-classpath commons-discovery) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.discovery/0.4.0/com.springsource.org.apache.commons.discovery-0.4.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.fileupload/1.2.0/com.springsource.org.apache.commons.fileupload-1.2.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.fileupload/1.2.0/
ln -sf $(build-classpath commons-fileupload) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.fileupload/1.2.0/com.springsource.org.apache.commons.fileupload-1.2.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/com.springsource.org.apache.commons.httpclient-3.1.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/
ln -sf $(build-classpath commons-httpclient) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.httpclient/3.1.0/com.springsource.org.apache.commons.httpclient-3.1.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.io/1.4.0/com.springsource.org.apache.commons.io-1.4.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.io/1.4.0/
ln -sf $(build-classpath commons-io) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.io/1.4.0/com.springsource.org.apache.commons.io-1.4.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.lang/2.1.0/com.springsource.org.apache.commons.lang-2.1.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.lang/2.1.0/
ln -sf $(build-classpath commons-lang) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.lang/2.1.0/com.springsource.org.apache.commons.lang-2.1.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-1.1.1.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/
ln -sf $(build-classpath commons-logging) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1/com.springsource.org.apache.commons.logging-1.1.1.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1/com.springsource.org.apache.commons.net-1.4.1.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1/
ln -sf $(build-classpath commons-net) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1/com.springsource.org.apache.commons.net-1.4.1.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.pool/1.3.0/com.springsource.org.apache.commons.pool-1.3.0.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.pool/1.3.0/
ln -sf $(build-classpath commons-pool) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.pool/1.3.0/com.springsource.org.apache.commons.pool-1.3.0.jar
rm ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.pool/1.5.3/com.springsource.org.apache.commons.pool-1.5.3.jar
mkdir -p ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.pool/1.5.3/
ln -sf $(build-classpath commons-pool) ivy-cache/repository/org.apache.commons/com.springsource.org.apache.commons.pool/1.5.3/com.springsource.org.apache.commons.pool-1.5.3.jar
rm ivy-cache/repository/org.apache.coyote/com.springsource.org.apache.coyote/6.0.16/com.springsource.org.apache.coyote-6.0.16.jar
mkdir -p ivy-cache/repository/org.apache.coyote/com.springsource.org.apache.coyote/6.0.16/
ln -sf $(build-classpath tomcat6/tomcat-coyote) ivy-cache/repository/org.apache.coyote/com.springsource.org.apache.coyote/6.0.16/com.springsource.org.apache.coyote-6.0.16.jar
rm ivy-cache/repository/org.apache.derby/com.springsource.org.apache.derby/10.5.1000001.764942/com.springsource.org.apache.derby-10.5.1000001.764942.jar
mkdir -p ivy-cache/repository/org.apache.derby/com.springsource.org.apache.derby/10.5.1000001.764942/
ln -sf $(build-classpath derby/derby) ivy-cache/repository/org.apache.derby/com.springsource.org.apache.derby/10.5.1000001.764942/com.springsource.org.apache.derby-10.5.1000001.764942.jar
rm ivy-cache/repository/org.apache.ibatis/com.springsource.com.ibatis/2.3.4.726/com.springsource.com.ibatis-2.3.4.726.jar
mkdir -p ivy-cache/repository/org.apache.ibatis/com.springsource.com.ibatis/2.3.4.726/
ln -sf $(build-classpath apache-ibatis)  ivy-cache/repository/org.apache.ibatis/com.springsource.com.ibatis/2.3.4.726/com.springsource.com.ibatis-2.3.4.726.jar
rm ivy-cache/repository/org.apache.juli/com.springsource.org.apache.juli.extras/6.0.16/com.springsource.org.apache.juli.extras-6.0.16.jar
mkdir -p ivy-cache/repository/org.apache.juli/com.springsource.org.apache.juli.extras/6.0.16/
ln -sf $(build-classpath tomcat6/tomcat-juli-extras) ivy-cache/repository/org.apache.juli/com.springsource.org.apache.juli.extras/6.0.16/com.springsource.org.apache.juli.extras-6.0.16.jar
rm ivy-cache/repository/org.apache.log4j/com.springsource.org.apache.log4j/1.2.15/com.springsource.org.apache.log4j-1.2.15.jar
mkdir -p ivy-cache/repository/org.apache.log4j/com.springsource.org.apache.log4j/1.2.15/
ln -sf $(build-classpath log4j) ivy-cache/repository/org.apache.log4j/com.springsource.org.apache.log4j/1.2.15/com.springsource.org.apache.log4j-1.2.15.jar
rm ivy-cache/repository/org.apache.openjpa/com.springsource.org.apache.openjpa/1.1.0/com.springsource.org.apache.openjpa-1.1.0.jar
mkdir -p ivy-cache/repository/org.apache.openjpa/com.springsource.org.apache.openjpa/1.1.0/
ln -sf $(build-classpath openjpa/all) ivy-cache/repository/org.apache.openjpa/com.springsource.org.apache.openjpa/1.1.0/com.springsource.org.apache.openjpa-1.1.0.jar
rm ivy-cache/repository/org.apache.poi/com.springsource.org.apache.poi/3.0.2.FINAL/com.springsource.org.apache.poi-3.0.2.FINAL.jar
mkdir -p ivy-cache/repository/org.apache.poi/com.springsource.org.apache.poi/3.0.2.FINAL/
ln -sf $(build-classpath poi/poi) ivy-cache/repository/org.apache.poi/com.springsource.org.apache.poi/3.0.2.FINAL/com.springsource.org.apache.poi-3.0.2.FINAL.jar
rm ivy-cache/repository/org.apache.regexp/com.springsource.org.apache.regexp/1.5.0/com.springsource.org.apache.regexp-1.5.0.jar
mkdir -p ivy-cache/repository/org.apache.regexp/com.springsource.org.apache.regexp/1.5.0/
ln -sf $(build-classpath regexp) ivy-cache/repository/org.apache.regexp/com.springsource.org.apache.regexp/1.5.0/com.springsource.org.apache.regexp-1.5.0.jar

#rm ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts/1.2.9/com.springsource.org.apache.struts-1.2.9.jar
mkdir -p ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts/1.3.10/
ln -sf $(build-classpath struts) ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts/1.3.10/com.springsource.org.apache.struts-1.3.10.jar
mkdir -p ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts.extras/1.3.10/
ln -sf $(build-classpath struts-extras) ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts.extras/1.3.10/com.springsource.org.apache.struts.extras-1.3.10.jar
mkdir -p ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts.tiles/1.3.10/
ln -sf $(build-classpath struts-tiles) ivy-cache/repository/org.apache.struts/com.springsource.org.apache.struts.tiles/1.3.10/com.springsource.org.apache.struts.tiles-1.3.10.jar

rm ivy-cache/repository/org.apache.taglibs/com.springsource.org.apache.taglibs.standard/1.1.2/com.springsource.org.apache.taglibs.standard-1.1.2.jar
mkdir -p ivy-cache/repository/org.apache.taglibs/com.springsource.org.apache.taglibs.standard/1.1.2/
ln -sf $(build-classpath apache-taglibs-standard) ivy-cache/repository/org.apache.taglibs/com.springsource.org.apache.taglibs.standard/1.1.2/com.springsource.org.apache.taglibs.standard-1.1.2.jar
rm ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles/2.1.2.osgi/com.springsource.org.apache.tiles-2.1.2.osgi.jar
mkdir -p ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles/2.1.2.osgi/
ln -sf $(build-classpath tiles/api) ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles/2.1.2.osgi/com.springsource.org.apache.tiles-2.1.2.osgi.jar
rm ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.core/2.1.2.osgi/com.springsource.org.apache.tiles.core-2.1.2.osgi.jar
mkdir -p ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.core/2.1.2.osgi/
ln -sf $(build-classpath tiles/core) ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.core/2.1.2.osgi/com.springsource.org.apache.tiles.core-2.1.2.osgi.jar
rm ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.jsp/2.1.2/com.springsource.org.apache.tiles.jsp-2.1.2.jar
mkdir -p ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.jsp/2.1.2/
ln -sf $(build-classpath tiles/jsp) ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.jsp/2.1.2/com.springsource.org.apache.tiles.jsp-2.1.2.jar
rm ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.servlet/2.1.2/com.springsource.org.apache.tiles.servlet-2.1.2.jar
mkdir -p ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.servlet/2.1.2/
ln -sf $(build-classpath tiles/servlet) ivy-cache/repository/org.apache.tiles/com.springsource.org.apache.tiles.servlet/2.1.2/com.springsource.org.apache.tiles.servlet-2.1.2.jar

rm ivy-cache/repository/org.apache.velocity/com.springsource.org.apache.velocity/1.5.0/com.springsource.org.apache.velocity-1.5.0.jar
mkdir -p ivy-cache/repository/org.apache.velocity/com.springsource.org.apache.velocity/1.5.0/
ln -sf $(build-classpath velocity) ivy-cache/repository/org.apache.velocity/com.springsource.org.apache.velocity/1.5.0/com.springsource.org.apache.velocity-1.5.0.jar
rm ivy-cache/repository/org.apache.velocity/com.springsource.org.apache.velocity.tools.view/1.4.0/com.springsource.org.apache.velocity.tools.view-1.4.0.jar
mkdir -p ivy-cache/repository/org.apache.velocity/com.springsource.org.apache.velocity.tools.view/1.4.0/
ln -sf $(build-classpath velocity-tools) ivy-cache/repository/org.apache.velocity/com.springsource.org.apache.velocity.tools.view/1.4.0/com.springsource.org.apache.velocity.tools.view-1.4.0.jar
rm ivy-cache/repository/org.apache.xerces/com.springsource.org.apache.xerces/2.8.1/com.springsource.org.apache.xerces-2.8.1.jar
mkdir -p ivy-cache/repository/org.apache.xerces/com.springsource.org.apache.xerces/2.8.1/
ln -sf $(build-classpath xerces-j2) ivy-cache/repository/org.apache.xerces/com.springsource.org.apache.xerces/2.8.1/com.springsource.org.apache.xerces-2.8.1.jar
rm ivy-cache/repository/org.apache.xmlbeans/com.springsource.org.apache.xmlbeans/2.4.0/com.springsource.org.apache.xmlbeans-2.4.0.jar
mkdir -p ivy-cache/repository/org.apache.xmlbeans/com.springsource.org.apache.xmlbeans/2.4.0/
ln -sf $(build-classpath xmlbeans/xbean) ivy-cache/repository/org.apache.xmlbeans/com.springsource.org.apache.xmlbeans/2.4.0/com.springsource.org.apache.xmlbeans-2.4.0.jar
rm ivy-cache/repository/org.apache.xmlcommons/com.springsource.org.apache.xmlcommons/1.3.3/com.springsource.org.apache.xmlcommons-1.3.3.jar
mkdir -p ivy-cache/repository/org.apache.xmlcommons/com.springsource.org.apache.xmlcommons/1.3.3/
ln -sf $(build-classpath xml-commons-jaxp-1.3-apis) ivy-cache/repository/org.apache.xmlcommons/com.springsource.org.apache.xmlcommons/1.3.3/com.springsource.org.apache.xmlcommons-1.3.3.jar
rm ivy-cache/repository/org.apache.xml/com.springsource.org.apache.xml.resolver/1.2.0/com.springsource.org.apache.xml.resolver-1.2.0.jar
mkdir -p ivy-cache/repository/org.apache.xml/com.springsource.org.apache.xml.resolver/1.2.0/
ln -sf $(build-classpath xml-commons-resolver12) ivy-cache/repository/org.apache.xml/com.springsource.org.apache.xml.resolver/1.2.0/com.springsource.org.apache.xml.resolver-1.2.0.jar
rm ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/com.springsource.org.aspectj.tools-1.6.6.RELEASE.jar
mkdir -p ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/
ln -sf $(build-classpath aspectjtools) ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.tools/1.6.6.RELEASE/com.springsource.org.aspectj.tools-1.6.6.RELEASE.jar
rm ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.weaver/1.6.8.RELEASE/com.springsource.org.aspectj.weaver-1.6.8.RELEASE.jar
mkdir -p ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.weaver/1.6.8.RELEASE/
ln -sf $(build-classpath aspectjweaver) ivy-cache/repository/org.aspectj/com.springsource.org.aspectj.weaver/1.6.8.RELEASE/com.springsource.org.aspectj.weaver-1.6.8.RELEASE.jar
rm ivy-cache/repository/org.beanshell/com.springsource.bsh/2.0.0.b4/com.springsource.bsh-2.0.0.b4.jar
mkdir -p ivy-cache/repository/org.beanshell/com.springsource.bsh/2.0.0.b4/
ln -sf $(build-classpath bsh2/bsh) ivy-cache/repository/org.beanshell/com.springsource.bsh/2.0.0.b4/com.springsource.bsh-2.0.0.b4.jar
rm ivy-cache/repository/org.codehaus.castor/com.springsource.org.castor/1.2.0/com.springsource.org.castor-1.2.0.jar
mkdir -p ivy-cache/repository/org.codehaus.castor/com.springsource.org.castor/1.2.0/
ln -sf $(build-classpath castor/core) ivy-cache/repository/org.codehaus.castor/com.springsource.org.castor/1.2.0/com.springsource.org.castor-1.2.0.jar
rm ivy-cache/repository/org.codehaus.castor/com.springsource.org.castor.anttask/1.2.0/com.springsource.org.castor.anttask-1.2.0.jar
mkdir -p ivy-cache/repository/org.codehaus.castor/com.springsource.org.castor.anttask/1.2.0/
ln -sf $(build-classpath castor/anttasks) ivy-cache/repository/org.codehaus.castor/com.springsource.org.castor.anttask/1.2.0/com.springsource.org.castor.anttask-1.2.0.jar
rm ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.builder/1.2.0/com.springsource.org.exolab.castor.builder-1.2.0.jar
mkdir -p ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.builder/1.2.0/
ln -sf $(build-classpath castor/codegen) ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.builder/1.2.0/com.springsource.org.exolab.castor.builder-1.2.0.jar
rm ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.xml/1.2.0/com.springsource.org.exolab.castor.xml-1.2.0.jar
mkdir -p ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.xml/1.2.0/
ln -sf $(build-classpath castor/xml) ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.xml/1.2.0/com.springsource.org.exolab.castor.xml-1.2.0.jar
ln -sf $(build-classpath castor/xml-schema) ivy-cache/repository/org.codehaus.castor/com.springsource.org.exolab.castor.xml.schema/1.2.0/com.springsource.org.exolab.castor.xml.schema-1.2.0.jar


rm ivy-cache/repository/org.codehaus.groovy/com.springsource.org.codehaus.groovy/1.6.5/com.springsource.org.codehaus.groovy-1.6.5.jar
mkdir -p ivy-cache/repository/org.codehaus.groovy/com.springsource.org.codehaus.groovy/1.6.5/
ln -sf $(build-classpath groovy16) ivy-cache/repository/org.codehaus.groovy/com.springsource.org.codehaus.groovy/1.6.5/com.springsource.org.codehaus.groovy-1.6.5.jar
rm ivy-cache/repository/org.codehaus.jackson/com.springsource.org.codehaus.jackson/1.4.2/com.springsource.org.codehaus.jackson-1.4.2.jar
mkdir -p ivy-cache/repository/org.codehaus.jackson/com.springsource.org.codehaus.jackson/1.4.2/
ln -sf $(build-classpath jackson/jackson-core-asl) ivy-cache/repository/org.codehaus.jackson/com.springsource.org.codehaus.jackson/1.4.2/com.springsource.org.codehaus.jackson-1.4.2.jar
rm ivy-cache/repository/org.codehaus.jackson/com.springsource.org.codehaus.jackson.mapper/1.4.2/com.springsource.org.codehaus.jackson.mapper-1.4.2.jar
mkdir -p ivy-cache/repository/org.codehaus.jackson/com.springsource.org.codehaus.jackson.mapper/1.4.2/
ln -sf $(build-classpath jackson/jackson-mapper-asl) ivy-cache/repository/org.codehaus.jackson/com.springsource.org.codehaus.jackson.mapper/1.4.2/com.springsource.org.codehaus.jackson.mapper-1.4.2.jar
rm ivy-cache/repository/org.codehaus.jettison/com.springsource.org.codehaus.jettison/1.0.1/com.springsource.org.codehaus.jettison-1.0.1.jar
mkdir -p ivy-cache/repository/org.codehaus.jettison/com.springsource.org.codehaus.jettison/1.0.1/
ln -sf $(build-classpath jettison) ivy-cache/repository/org.codehaus.jettison/com.springsource.org.codehaus.jettison/1.0.1/com.springsource.org.codehaus.jettison-1.0.1.jar
rm ivy-cache/repository/org.codehaus.woodstox/com.springsource.com.ctc.wstx/3.2.7/com.springsource.com.ctc.wstx-3.2.7.jar
mkdir -p ivy-cache/repository/org.codehaus.woodstox/com.springsource.com.ctc.wstx/3.2.7/
ln -sf $(build-classpath wstx32/wstx-asl) ivy-cache/repository/org.codehaus.woodstox/com.springsource.com.ctc.wstx/3.2.7/com.springsource.com.ctc.wstx-3.2.7.jar
rm ivy-cache/repository/org.custommonkey.xmlunit/com.springsource.org.custommonkey.xmlunit/1.2.0/com.springsource.org.custommonkey.xmlunit-1.2.0.jar
mkdir -p ivy-cache/repository/org.custommonkey.xmlunit/com.springsource.org.custommonkey.xmlunit/1.2.0/
ln -sf $(build-classpath xmlunit) ivy-cache/repository/org.custommonkey.xmlunit/com.springsource.org.custommonkey.xmlunit/1.2.0/com.springsource.org.custommonkey.xmlunit-1.2.0.jar
rm ivy-cache/repository/org.dom4j/com.springsource.org.dom4j/1.6.1/com.springsource.org.dom4j-1.6.1.jar
mkdir -p ivy-cache/repository/org.dom4j/com.springsource.org.dom4j/1.6.1/
ln -sf $(build-classpath dom4j) ivy-cache/repository/org.dom4j/com.springsource.org.dom4j/1.6.1/com.springsource.org.dom4j-1.6.1.jar
rm ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.1/com.springsource.org.easymock-2.5.1.jar
mkdir -p ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.1/
ln -sf $(build-classpath easymock2) ivy-cache/repository/org.easymock/com.springsource.org.easymock/2.5.1/com.springsource.org.easymock-2.5.1.jar
rm ivy-cache/repository/org.easymock/com.springsource.org.easymock.classextension/2.3.0/com.springsource.org.easymock.classextension-2.3.0.jar
mkdir -p ivy-cache/repository/org.easymock/com.springsource.org.easymock.classextension/2.3.0/
ln -sf $(build-classpath easymock-classextension2) ivy-cache/repository/org.easymock/com.springsource.org.easymock.classextension/2.3.0/com.springsource.org.easymock.classextension-2.3.0.jar
rm ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.3.0/com.springsource.org.eclipse.jdt.core.compiler.batch-3.3.0.jar
mkdir -p ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.3.0/
ln -sf $(build-classpath ecj3) ivy-cache/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.3.0/com.springsource.org.eclipse.jdt.core.compiler.batch-3.3.0.jar
#ivy-cache/repository/org.eclipse.persistence/com.springsource.commonj.sdo/2.1.0/com.springsource.commonj.sdo-2.1.0.jar

#ivy-cache/repository/org.eclipse.persistence/com.springsource.org.eclipse.persistence/1.0.1/com.springsource.org.eclipse.persistence-1.0.1.jar

#ivy-cache/repository/org.eclipse.persistence/com.springsource.org.eclipse.persistence.antlr/1.0.1/com.springsource.org.eclipse.persistence.antlr-1.0.1.jar

#ivy-cache/repository/org.eclipse.persistence/com.springsource.org.eclipse.persistence.asm/1.0.1/com.springsource.org.eclipse.persistence.asm-1.0.1.jar

#ivy-cache/repository/org.eclipse.persistence/com.springsource.org.eclipse.persistence.jpa/1.0.1/com.springsource.org.eclipse.persistence.jpa-1.0.1.jar

rm ivy-cache/repository/org.freemarker/com.springsource.freemarker/2.3.15/com.springsource.freemarker-2.3.15.jar
mkdir -p ivy-cache/repository/org.freemarker/com.springsource.freemarker/2.3.15/
ln -sf $(build-classpath freemarker) ivy-cache/repository/org.freemarker/com.springsource.freemarker/2.3.15/com.springsource.freemarker-2.3.15.jar
rm ivy-cache/repository/org.hibernate/com.springsource.org.hibernate/3.3.1.GA/com.springsource.org.hibernate-3.3.1.GA.jar
mkdir -p ivy-cache/repository/org.hibernate/com.springsource.org.hibernate/3.3.1.GA/
ln -sf $(build-classpath hibernate3-core) ivy-cache/repository/org.hibernate/com.springsource.org.hibernate/3.3.1.GA/com.springsource.org.hibernate-3.3.1.GA.jar
rm ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.annotations/3.4.0.GA/com.springsource.org.hibernate.annotations-3.4.0.GA.jar
mkdir -p ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.annotations/3.4.0.GA/
ln -sf $(build-classpath hibernate3-annotations) ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.annotations/3.4.0.GA/com.springsource.org.hibernate.annotations-3.4.0.GA.jar
rm ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.annotations.common/3.3.0.ga/com.springsource.org.hibernate.annotations.common-3.3.0.ga.jar
mkdir -p ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.annotations.common/3.3.0.ga/
ln -sf $(build-classpath hibernate3-commons-annotations) ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.annotations.common/3.3.0.ga/com.springsource.org.hibernate.annotations.common-3.3.0.ga.jar
rm ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.ejb/3.4.0.GA/com.springsource.org.hibernate.ejb-3.4.0.GA.jar
mkdir -p ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.ejb/3.4.0.GA/
ln -sf $(build-classpath hibernate3-entitymanager) ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.ejb/3.4.0.GA/com.springsource.org.hibernate.ejb-3.4.0.GA.jar
#rm ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.validator/4.1.0.GA/com.springsource.org.hibernate.validator-4.1.0.GA.jar
#mkdir -p ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.validator/4.1.0.GA/
#ln -sf $(build-classpath hibernate3-validator) ivy-cache/repository/org.hibernate/com.springsource.org.hibernate.validator/4.1.0.GA/com.springsource.org.hibernate.validator-4.1.0.GA.jar
rm ivy-cache/repository/org.hsqldb/com.springsource.org.hsqldb/1.8.0.9/com.springsource.org.hsqldb-1.8.0.9.jar
mkdir -p ivy-cache/repository/org.hsqldb/com.springsource.org.hsqldb/1.8.0.9/
ln -sf $(build-classpath hsqldb) ivy-cache/repository/org.hsqldb/com.springsource.org.hsqldb/1.8.0.9/com.springsource.org.hsqldb-1.8.0.9.jar
rm ivy-cache/repository/org.jboss.javassist/com.springsource.javassist/3.3.0.ga/com.springsource.javassist-3.3.0.ga.jar
mkdir -p ivy-cache/repository/org.jboss.javassist/com.springsource.javassist/3.3.0.ga/
ln -sf $(build-classpath javassist) ivy-cache/repository/org.jboss.javassist/com.springsource.javassist/3.3.0.ga/com.springsource.javassist-3.3.0.ga.jar
#ivy-cache/repository/org.jboss.util/com.springsource.org.jboss.util/2.0.4.GA/com.springsource.org.jboss.util-2.0.4.GA.jar

rm ivy-cache/repository/org.jdom/com.springsource.org.jdom/1.0.0/com.springsource.org.jdom-1.0.0.jar
mkdir -p ivy-cache/repository/org.jdom/com.springsource.org.jdom/1.0.0/
ln -sf $(build-classpath jdom) ivy-cache/repository/org.jdom/com.springsource.org.jdom/1.0.0/com.springsource.org.jdom-1.0.0.jar
rm ivy-cache/repository/org.jdom/com.springsource.org.jdom/1.1.0/com.springsource.org.jdom-1.1.0.jar
mkdir -p ivy-cache/repository/org.jdom/com.springsource.org.jdom/1.1.0/
ln -sf $(build-classpath jdom) ivy-cache/repository/org.jdom/com.springsource.org.jdom/1.1.0/com.springsource.org.jdom-1.1.0.jar
rm ivy-cache/repository/org.jgroups/com.springsource.org.jgroups/2.2.8/com.springsource.org.jgroups-2.2.8.jar
mkdir -p ivy-cache/repository/org.jgroups/com.springsource.org.jgroups/2.2.8/
ln -sf $(build-classpath jgroups) ivy-cache/repository/org.jgroups/com.springsource.org.jgroups/2.2.8/com.springsource.org.jgroups-2.2.8.jar
rm ivy-cache/repository/org.joda/com.springsource.org.joda.time/1.6.0/com.springsource.org.joda.time-1.6.0.jar
mkdir -p ivy-cache/repository/org.joda/com.springsource.org.joda.time/1.6.0/
ln -sf $(build-classpath joda-time) ivy-cache/repository/org.joda/com.springsource.org.joda.time/1.6.0/com.springsource.org.joda.time-1.6.0.jar
rm ivy-cache/repository/org.jruby/com.springsource.org.jruby/1.4.0/com.springsource.org.jruby-1.4.0.jar
mkdir -p ivy-cache/repository/org.jruby/com.springsource.org.jruby/1.4.0/
ln -sf $(build-classpath jruby) ivy-cache/repository/org.jruby/com.springsource.org.jruby/1.4.0/com.springsource.org.jruby-1.4.0.jar
rm ivy-cache/repository/org.junit/com.springsource.junit/3.8.2/com.springsource.junit-3.8.2.jar
mkdir -p ivy-cache/repository/org.junit/com.springsource.junit/3.8.2/
ln -sf $(build-classpath junit) ivy-cache/repository/org.junit/com.springsource.junit/3.8.2/com.springsource.junit-3.8.2.jar
rm ivy-cache/repository/org.junit/com.springsource.org.junit/4.7.0/com.springsource.org.junit-4.7.0.jar
mkdir -p ivy-cache/repository/org.junit/com.springsource.org.junit/4.7.0/
ln -sf $(build-classpath junit4) ivy-cache/repository/org.junit/com.springsource.org.junit/4.7.0/com.springsource.org.junit-4.7.0.jar
rm ivy-cache/repository/org.jvnet.staxex/com.springsource.org.jvnet.staxex/1.0.0/com.springsource.org.jvnet.staxex-1.0.0.jar
mkdir -p ivy-cache/repository/org.jvnet.staxex/com.springsource.org.jvnet.staxex/1.0.0/
ln -sf $(build-classpath stax-ex) ivy-cache/repository/org.jvnet.staxex/com.springsource.org.jvnet.staxex/1.0.0/com.springsource.org.jvnet.staxex-1.0.0.jar
rm ivy-cache/repository/org.mortbay.jetty/com.springsource.org.mortbay.jetty.server/6.1.9/com.springsource.org.mortbay.jetty.server-6.1.9.jar
mkdir -p ivy-cache/repository/org.mortbay.jetty/com.springsource.org.mortbay.jetty.server/6.1.9/
ln -sf $(build-classpath jetty6/jetty6) ivy-cache/repository/org.mortbay.jetty/com.springsource.org.mortbay.jetty.server/6.1.9/com.springsource.org.mortbay.jetty.server-6.1.9.jar
rm ivy-cache/repository/org.mortbay.jetty/com.springsource.org.mortbay.util/6.1.9/com.springsource.org.mortbay.util-6.1.9.jar
mkdir -p ivy-cache/repository/org.mortbay.jetty/com.springsource.org.mortbay.util/6.1.9/
ln -sf $(build-classpath jetty6/jetty6-util) ivy-cache/repository/org.mortbay.jetty/com.springsource.org.mortbay.util/6.1.9/com.springsource.org.mortbay.util-6.1.9.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/1.5.3/com.springsource.org.objectweb.asm-1.5.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/1.5.3/
ln -sf $(build-classpath asm/asm) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/1.5.3/com.springsource.org.objectweb.asm-1.5.3.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/2.2.3/com.springsource.org.objectweb.asm-2.2.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/2.2.3/
ln -sf $(build-classpath asm2/asm2)  ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/2.2.3/com.springsource.org.objectweb.asm-2.2.3.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-3.1.0.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/
ln -sf $(build-classpath objectweb-asm/asm) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm/3.1.0/com.springsource.org.objectweb.asm-3.1.0.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.attrs/1.5.3/com.springsource.org.objectweb.asm.attrs-1.5.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.attrs/1.5.3/
ln -sf $(build-classpath asm/asm-attrs) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.attrs/1.5.3/com.springsource.org.objectweb.asm.attrs-1.5.3.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/2.2.3/com.springsource.org.objectweb.asm.commons-2.2.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/2.2.3/
ln -sf $(build-classpath asm2/asm2-commons) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/2.2.3/com.springsource.org.objectweb.asm.commons-2.2.3.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-3.1.0.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/
ln -sf $(build-classpath objectweb-asm/asm-commons) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.commons/3.1.0/com.springsource.org.objectweb.asm.commons-3.1.0.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/2.2.3/com.springsource.org.objectweb.asm.tree-2.2.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/2.2.3/
ln -sf $(build-classpath asm2/asm2-tree) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/2.2.3/com.springsource.org.objectweb.asm.tree-2.2.3.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-3.1.0.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/
ln -sf $(build-classpath objectweb-asm/asm-tree) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree/3.1.0/com.springsource.org.objectweb.asm.tree-3.1.0.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree.analysis/2.2.3/com.springsource.org.objectweb.asm.tree.analysis-2.2.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree.analysis/2.2.3/
ln -sf $(build-classpath asm2/asm2-tree) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.tree.analysis/2.2.3/com.springsource.org.objectweb.asm.tree.analysis-2.2.3.jar
rm ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.util/2.2.3/com.springsource.org.objectweb.asm.util-2.2.3.jar
mkdir -p ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.util/2.2.3/
ln -sf $(build-classpath asm2/asm2-util) ivy-cache/repository/org.objectweb.asm/com.springsource.org.objectweb.asm.util/2.2.3/com.springsource.org.objectweb.asm.util-2.2.3.jar
rm ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/org.osgi.core-4.1.0.jar
mkdir -p ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/
ln -sf $(build-classpath org.osgi.core) ivy-cache/repository/org.osgi/org.osgi.core/4.1.0/org.osgi.core-4.1.0.jar
rm ivy-cache/repository/org.relaxng/com.springsource.org.relaxng.datatype/1.0.0/com.springsource.org.relaxng.datatype-1.0.0.jar
mkdir -p ivy-cache/repository/org.relaxng/com.springsource.org.relaxng.datatype/1.0.0/
ln -sf $(build-classpath relaxngDatatype) ivy-cache/repository/org.relaxng/com.springsource.org.relaxng.datatype/1.0.0/com.springsource.org.relaxng.datatype-1.0.0.jar
rm ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.3/com.springsource.slf4j.api-1.5.3.jar
mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.3/
ln -sf $(build-classpath slf4j/slf4j-api) ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.3/com.springsource.slf4j.api-1.5.3.jar
rm ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.6/com.springsource.slf4j.api-1.5.6.jar
mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.6/
ln -sf $(build-classpath slf4j/slf4j-api) ivy-cache/repository/org.slf4j/com.springsource.slf4j.api/1.5.6/com.springsource.slf4j.api-1.5.6.jar
rm ivy-cache/repository/org.slf4j/com.springsource.slf4j.jcl/1.5.3/com.springsource.slf4j.jcl-1.5.3.jar
mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.jcl/1.5.3/
ln -sf $(build-classpath slf4j/slf4j-jcl) ivy-cache/repository/org.slf4j/com.springsource.slf4j.jcl/1.5.3/com.springsource.slf4j.jcl-1.5.3.jar
rm ivy-cache/repository/org.slf4j/com.springsource.slf4j.jcl/1.5.6/com.springsource.slf4j.jcl-1.5.6.jar
mkdir -p ivy-cache/repository/org.slf4j/com.springsource.slf4j.jcl/1.5.6/
ln -sf $(build-classpath slf4j/slf4j-jcl) ivy-cache/repository/org.slf4j/com.springsource.slf4j.jcl/1.5.6/com.springsource.slf4j.jcl-1.5.6.jar
#ivy-cache/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar

rm ivy-cache/repository/org.testng/com.springsource.org.testng/5.10.0/com.springsource.org.testng-5.10.0.jar
mkdir -p ivy-cache/repository/org.testng/com.springsource.org.testng/5.10.0/
ln -sf $(build-classpath testng-jdk15) ivy-cache/repository/org.testng/com.springsource.org.testng/5.10.0/com.springsource.org.testng-5.10.0.jar
rm ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.3.4-O/com.springsource.org.xmlpull-1.1.3.4-O.jar
mkdir -p ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.3.4-O/
ln -sf $(build-classpath xpp3) ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.3.4-O/com.springsource.org.xmlpull-1.1.3.4-O.jar
rm ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.4.c/com.springsource.org.xmlpull-1.1.4.c.jar
mkdir -p ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.4.c/
ln -sf $(build-classpath xpp3) ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.4.c/com.springsource.org.xmlpull-1.1.4.c.jar
rm ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.4/com.springsource.org.xmlpull-1.1.4.jar
mkdir -p ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.4/
ln -sf $(build-classpath xpp3) ivy-cache/repository/org.xmlpull/com.springsource.org.xmlpull/1.1.4/com.springsource.org.xmlpull-1.1.4.jar

###################################################################
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo The following jars are symlinked:
%{_bindir}/find -type l -name "*.jar" -print
echo ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ##################################################################
echo WARNING: The following jars are NOT symlinked:
%{_bindir}/find -not -type l -name "*.jar" -print
echo ##################################################################

%build
export CLASSPATH=
CLASSPATH="$CLASSPATH:../spring-build/lib/ivy/ivy.jar"
CLASSPATH="$CLASSPATH:../spring-build/lib/ivy/org.springframework.build.aws.ivy.jar"
CLASSPATH="$CLASSPATH:../spring-build/lib/ivy/jets3t.jar"
CLASSPATH="$CLASSPATH:../spring-build/lib/ivy/commons-codec.jar"
CLASSPATH="$CLASSPATH:../spring-build/lib/ivy/commons-httpclient.jar"
CLASSPATH="$CLASSPATH:../spring-build/lib/ivy/commons-logging.jar"

export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export OPT_JAR_LIST="ant/ant-nodeps ant/ant-junit junit castor/core castor/anttasks castor/codegen castor/xml castor/xml-schema"
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
cd build-spring-framework
%{ant} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true precommit javadoc-all
%{ant} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true package

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 org.springframework.aop/target/artifacts/org.springframework.aop.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.aop-%{version}.jar
install -m 644 org.springframework.asm/target/artifacts/org.springframework.asm.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.asm-%{version}.jar
install -m 644 org.springframework.aspects/target/artifacts/org.springframework.aspects.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.aspects-%{version}.jar
install -m 644 org.springframework.beans/target/artifacts/org.springframework.beans.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.beans-%{version}.jar
install -m 644 org.springframework.context.support/target/artifacts/org.springframework.context.support.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.context.support-%{version}.jar
install -m 644 org.springframework.context/target/artifacts/org.springframework.context.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.context-%{version}.jar
install -m 644 org.springframework.core/target/artifacts/org.springframework.core.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.core-%{version}.jar
install -m 644 org.springframework.expression/target/artifacts/org.springframework.expression.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.expression-%{version}.jar
install -m 644 org.springframework.instrument/target/artifacts/org.springframework.instrument.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.instrument-%{version}.jar
install -m 644 org.springframework.instrument.tomcat/target/artifacts/org.springframework.instrument.tomcat.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.instrument.tomcat-%{version}.jar
install -m 644 org.springframework.integration-tests/target/artifacts/org.springframework.integration-tests.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.integration-tests-%{version}.jar
install -m 644 org.springframework.jdbc/target/artifacts/org.springframework.jdbc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.jdbc-%{version}.jar
install -m 644 org.springframework.jms/target/artifacts/org.springframework.jms.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.jms-%{version}.jar
install -m 644 org.springframework.orm/target/artifacts/org.springframework.orm.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.orm-%{version}.jar
install -m 644 org.springframework.oxm/target/artifacts/org.springframework.oxm.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.oxm-%{version}.jar
install -m 644 org.springframework.test/target/artifacts/org.springframework.test.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.test-%{version}.jar
install -m 644 org.springframework.transaction/target/artifacts/org.springframework.transaction.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.transaction-%{version}.jar
install -m 644 org.springframework.web.portlet/target/artifacts/org.springframework.web.portlet.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.web.portlet-%{version}.jar
install -m 644 org.springframework.web.servlet/target/artifacts/org.springframework.web.servlet.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.web.servlet-%{version}.jar
install -m 644 org.springframework.web.struts/target/artifacts/org.springframework.web.struts.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.web.struts-%{version}.jar
install -m 644 org.springframework.web/target/artifacts/org.springframework.web.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/org.springframework.web-%{version}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name}-sources
install -m 644 org.springframework.aop/target/artifacts/org.springframework.aop-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.aop-sources-%{version}.jar
install -m 644 org.springframework.asm/target/artifacts/org.springframework.asm-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.asm-sources-%{version}.jar
install -m 644 org.springframework.aspects/target/artifacts/org.springframework.aspects-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.aspects-sources-%{version}.jar
install -m 644 org.springframework.beans/target/artifacts/org.springframework.beans-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.beans-sources-%{version}.jar
install -m 644 org.springframework.context.support/target/artifacts/org.springframework.context.support-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.context.support-sources-%{version}.jar
install -m 644 org.springframework.context/target/artifacts/org.springframework.context-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.context-sources-%{version}.jar
install -m 644 org.springframework.core/target/artifacts/org.springframework.core-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.core-sources-%{version}.jar
install -m 644 org.springframework.expression/target/artifacts/org.springframework.expression-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.expression-sources-%{version}.jar
install -m 644 org.springframework.instrument/target/artifacts/org.springframework.instrument-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.instrument-sources-%{version}.jar
install -m 644 org.springframework.instrument.tomcat/target/artifacts/org.springframework.instrument.tomcat-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.instrument.tomcat-sources-%{version}.jar
install -m 644 org.springframework.integration-tests/target/artifacts/org.springframework.integration-tests-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.integration-tests-sources-%{version}.jar
install -m 644 org.springframework.jdbc/target/artifacts/org.springframework.jdbc-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.jdbc-sources-%{version}.jar
install -m 644 org.springframework.jms/target/artifacts/org.springframework.jms-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.jms-sources-%{version}.jar
install -m 644 org.springframework.orm/target/artifacts/org.springframework.orm-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.orm-sources-%{version}.jar
install -m 644 org.springframework.oxm/target/artifacts/org.springframework.oxm-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.oxm-sources-%{version}.jar
install -m 644 org.springframework.test/target/artifacts/org.springframework.test-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.test-sources-%{version}.jar
install -m 644 org.springframework.transaction/target/artifacts/org.springframework.transaction-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.transaction-sources-%{version}.jar
install -m 644 org.springframework.web.portlet/target/artifacts/org.springframework.web.portlet-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.web.portlet-sources-%{version}.jar
install -m 644 org.springframework.web.servlet/target/artifacts/org.springframework.web.servlet-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.web.servlet-sources-%{version}.jar
install -m 644 org.springframework.web.struts/target/artifacts/org.springframework.web.struts-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.web.struts-sources-%{version}.jar
install -m 644 org.springframework.web/target/artifacts/org.springframework.web-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}-sources/org.springframework.web-sources-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name}-sources && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%add_to_maven_depmap org.springframework %{bname}-aop %{version} JPP/%{name} org.springframework.aop
%add_to_maven_depmap org.springframework %{bname}-asm %{version} JPP/%{name} org.springframework.asm
%add_to_maven_depmap org.springframework %{bname}-aspects %{version} JPP/%{name} org.springframework.aspects
%add_to_maven_depmap org.springframework %{bname}-beans %{version} JPP/%{name} org.springframework.beans
%add_to_maven_depmap org.springframework %{bname}-context %{version} JPP/%{name} org.springframework.context
%add_to_maven_depmap org.springframework %{bname}-context-support %{version} JPP/%{name} org.springframework.context.support
%add_to_maven_depmap org.springframework %{bname}-core %{version} JPP/%{name} org.springframework.core
%add_to_maven_depmap org.springframework %{bname}-expression %{version} JPP/%{name} org.springframework.expression
%add_to_maven_depmap org.springframework %{bname}-instrument %{version} JPP/%{name} org.springframework.instrument
%add_to_maven_depmap org.springframework %{bname}-instrument-tomcat %{version} JPP/%{name} org.springframework.instrument.tomcat
%add_to_maven_depmap org.springframework %{bname}-integration-tests %{version} JPP/%{name} org.springframework.integration-tests
%add_to_maven_depmap org.springframework %{bname}-jdbc %{version} JPP/%{name} org.springframework.jdbc
%add_to_maven_depmap org.springframework %{bname}-jms %{version} JPP/%{name} org.springframework.jms
%add_to_maven_depmap org.springframework %{bname}-orm %{version} JPP/%{name} org.springframework.orm
%add_to_maven_depmap org.springframework %{bname}-oxm %{version} JPP/%{name} org.springframework.oxm
%add_to_maven_depmap org.springframework %{bname}-test %{version} JPP/%{name} org.springframework.test
%add_to_maven_depmap org.springframework %{bname}-transaction %{version} JPP/%{name} org.springframework.transaction
%add_to_maven_depmap org.springframework %{bname}-web-portlet %{version} JPP/%{name} org.springframework.web.portlet
%add_to_maven_depmap org.springframework %{bname}-web-servlet %{version} JPP/%{name} org.springframework.web.servlet
%add_to_maven_depmap org.springframework %{bname}-web-struts %{version} JPP/%{name} org.springframework.web.struts
%add_to_maven_depmap org.springframework %{bname}-web %{version} JPP/%{name} org.springframework.web

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 org.springframework.aop/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.aop.pom
install -m 644 org.springframework.asm/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.asm.pom
install -m 644 org.springframework.aspects/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.aspects.pom
install -m 644 org.springframework.beans/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.beans.pom
install -m 644 org.springframework.context/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.context.pom
install -m 644 org.springframework.context.support/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.context.support.pom
install -m 644 org.springframework.core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.core.pom
install -m 644 org.springframework.expression/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.expression.pom
install -m 644 org.springframework.instrument/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.instrument.pom
install -m 644 org.springframework.instrument.tomcat/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.instrument.tomcat.pom
install -m 644 org.springframework.integration-tests/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.integration-tests.pom
install -m 644 org.springframework.jdbc/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.jdbc.pom
install -m 644 org.springframework.jms/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.jms.pom
install -m 644 org.springframework.orm/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.orm.pom
install -m 644 org.springframework.oxm/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.oxm.pom
install -m 644 org.springframework.test/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.test.pom
install -m 644 org.springframework.transaction/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.transaction.pom
install -m 644 org.springframework.web/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.web.pom
install -m 644 org.springframework.web.portlet/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.web.portlet.pom
install -m 644 org.springframework.web.servlet/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.web.servlet.pom
install -m 644 org.springframework.web.struts/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-org.springframework.web.struts.pom

# resources
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc

install -m 644 org.springframework.aop/src/main/resources/org/springframework/aop/config/spring-aop-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.aop/src/main/resources/org/springframework/aop/config/spring-aop-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.aop/src/main/resources/org/springframework/aop/config/spring-aop-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-beans-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-beans-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-beans-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-tool-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-tool-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-tool-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-util-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-util-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.beans/src/main/resources/org/springframework/beans/factory/xml/spring-util-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/context/config/spring-context-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/context/config/spring-context-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/ejb/config/spring-jee-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/ejb/config/spring-jee-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/ejb/config/spring-jee-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/scheduling/config/spring-task-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/scripting/config/spring-lang-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/scripting/config/spring-lang-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.context/src/main/resources/org/springframework/scripting/config/spring-lang-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.jdbc/src/main/resources/org/springframework/jdbc/config/spring-jdbc-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.jms/src/main/resources/org/springframework/jms/config/spring-jms-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.jms/src/main/resources/org/springframework/jms/config/spring-jms-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.oxm/src/main/resources/org/springframework/oxm/config/spring-oxm-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.transaction/src/main/resources/org/springframework/transaction/config/spring-tx-2.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.transaction/src/main/resources/org/springframework/transaction/config/spring-tx-2.5.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.transaction/src/main/resources/org/springframework/transaction/config/spring-tx-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.web.servlet/src/main/resources/org/springframework/web/servlet/config/spring-mvc-3.0.xsd \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/
install -m 644 org.springframework.web.servlet/src/main/java/org/springframework/web/servlet/view/velocity/spring.vm \
                $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/etc/

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build-spring-framework/target/javadoc-all/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

### manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
#cp -pr changelog.txt license.txt notice.txt readme.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
ln -s %{_javadocdir}/%{name} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/api
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/reference/
cp -pr spring-framework-reference/target/spring-framework-reference/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
###

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
#%doc %{_docdir}/%{name}-%{version}/changelog.txt
#%doc %{_docdir}/%{name}-%{version}/license.txt
#%doc %{_docdir}/%{name}-%{version}/notice.txt
#%doc %{_docdir}/%{name}-%{version}/readme.txt
%dir %{_javadir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/etc/*
#%dir %{_datadir}/%{name}-%{version}/osgi
#%dir %{_datadir}/%{name}-%{version}/osgi/bnd
#%{_datadir}/%{name}-%{version}/osgi/bnd/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files aop
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.aop*.jar

%files asm
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.asm*.jar

%files aspects
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.aspects*.jar

%files beans
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.beans*.jar

%files context
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.context.jar
%{_javadir}/%{name}/org.springframework.context-%{version}.jar

%files context-support
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.context.support*.jar

%files core
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.core*.jar

%files expression
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.expression*.jar

%files instrument
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.instrument.jar
%{_javadir}/%{name}/org.springframework.instrument-%{version}.jar

%files instrument-tomcat
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.instrument.tomcat*.jar

%files integration-tests
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.integration-tests*.jar

%files jms
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.jms*.jar

%files jdbc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.jdbc*.jar

%files orm
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.orm*.jar

%files oxm
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.oxm*.jar

%files test
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.test*.jar

%files tx
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.transaction*.jar

%files web
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.web-%{version}.jar
%{_javadir}/%{name}/org.springframework.web.jar

%files web-servlet
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.web.servlet*.jar

%files web-portlet
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.web.portlet*.jar

%files web-struts
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/org.springframework.web.struts*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/*
#%exclude %doc %{_docdir}/%{name}-%{version}/changelog.txt
#%exclude %doc %{_docdir}/%{name}-%{version}/license.txt
#%exclude %doc %{_docdir}/%{name}-%{version}/notice.txt
#%exclude %doc %{_docdir}/%{name}-%{version}/readme.txt

%files devel
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}-sources
%{_javadir}/%{name}-sources/org.springframework.aop-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.aop-sources.jar
%{_javadir}/%{name}-sources/org.springframework.asm-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.asm-sources.jar
%{_javadir}/%{name}-sources/org.springframework.aspects-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.aspects-sources.jar
%{_javadir}/%{name}-sources/org.springframework.beans-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.beans-sources.jar
%{_javadir}/%{name}-sources/org.springframework.context-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.context-sources.jar
%{_javadir}/%{name}-sources/org.springframework.context.support-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.context.support-sources.jar
%{_javadir}/%{name}-sources/org.springframework.core-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.core-sources.jar
%{_javadir}/%{name}-sources/org.springframework.expression-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.expression-sources.jar
%{_javadir}/%{name}-sources/org.springframework.instrument-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.instrument-sources.jar
%{_javadir}/%{name}-sources/org.springframework.instrument.tomcat-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.instrument.tomcat-sources.jar
%{_javadir}/%{name}-sources/org.springframework.integration-tests-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.integration-tests-sources.jar
%{_javadir}/%{name}-sources/org.springframework.jdbc-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.jdbc-sources.jar
%{_javadir}/%{name}-sources/org.springframework.jms-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.jms-sources.jar
%{_javadir}/%{name}-sources/org.springframework.orm-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.orm-sources.jar
%{_javadir}/%{name}-sources/org.springframework.oxm-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.oxm-sources.jar
%{_javadir}/%{name}-sources/org.springframework.test-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.test-sources.jar
%{_javadir}/%{name}-sources/org.springframework.transaction-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.transaction-sources.jar
%{_javadir}/%{name}-sources/org.springframework.web-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.web-sources.jar
%{_javadir}/%{name}-sources/org.springframework.web.portlet-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.web.portlet-sources.jar
%{_javadir}/%{name}-sources/org.springframework.web.servlet-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.web.servlet-sources.jar
%{_javadir}/%{name}-sources/org.springframework.web.struts-sources-%{version}.jar
%{_javadir}/%{name}-sources/org.springframework.web.struts-sources.jar

%changelog
* Thu Jun 30 2011 Ralph Apel <r.apel@r-apel.de> 0:3.0.5-2
- Have pkgs Require spring3-tx instead of spring3-transaction

* Wed Jun 29 2011 Ralph Apel <r.apel@r-apel.de> 0:3.0.5-1
- 3.0.5 as spring3

* Mon Oct 12 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-6.SEC01
- add all poms to repolib
- keep bundled bundlor jars
- BuildRequires: geronimo-interceptor-3.0-api (part of ejb3)
- BuildRequires: wsdl4j16 instead of wsdl4j
- use bundled activemq3
- use bundled qdox15
- make xmlgraphics optional (use bundled batik, fop, jai)

* Fri Sep 04 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-5.SEC01
- fix cglib

* Fri Jul 03 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-4.SEC01
- fix persistence links and (Build)Requires

* Thu Jul 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-3.SEC01
- add repolib

* Tue Jun 02 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01.6
- rebuild for older commons-io

* Mon Jun 1 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01.5
- use upstream libs except in specific cases
- don't link to (online) javadocs

* Fri May 15 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01.4
- remove all Requires

* Thu May 07 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-2.SEC01.3
- Move txt files to main pkg from manual pkg.

* Tue May 05 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-2.SEC01.2
- Change location of manual files.

* Mon May 04 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-2.SEC01.1
- Install manual files directly to docdir instead of temporary directory.
 
* Fri May 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-2.SEC01
- 2.5.6.SEC01
- fix setting of JAVA_HOME
- fix %%files list in manual

* Fri May 01 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.19
- Install manual files using docs-tmp folder instead of docdir.

* Mon Apr 27 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.18
- add sources jars
- fix bsh and jaxb-api symlinking during build

* Fri Apr 24 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.17
- add .txt files as %%doc
- add missing resources
- add full manual

* Tue Apr 23 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.16
- only copy those samples that upstream distributes

* Mon Apr 20 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.15
- fix nodeps option

* Sat Apr 18 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.14
- Replace if without no deps to if !{nodeps}
- Remove remaining dependencies for installation.

* Fri Apr 17 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.12
- Change %if %with nodeps to %if %nodeps.

* Fri Apr 17 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.6-1.11
- Add %bcond_nodeps and all %if %with nodeps to avoid calling dependencies at installation.

* Thu Apr 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.10
- fix some glassfish api symlinks during build

* Thu Apr 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.9
- fix some build errors

* Thu Apr 16 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.8
- remove Requires: jotm and Requires: xapool (Requires: carol)
- remove Requires: tomcat5 (main package)
- remove Requires: axis

* Thu Apr 09 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.7
- replace javamail_1_4_api with glassfish-javamail >= 0:1.4.0
- replace servlet_2_4_api with tomcat5-servlet-2.4-api
- replace velocity with velocity-jboss (1.4, though 1.5 upstream)
- change (Build)Requires: groovy to (Build)Requires: groovy15
- remove Requires: groovy15
- remove Requires: apache-jdo-2.0-api
- remove Requires: apache-ibatis-sqlmap
- Requires: tomcat5-{common,server}-lib instead of Requires: tomcat5

* Wed Apr 08 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.6
- fix Epoch in dependencies

* Tue Apr 07 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.5
- symlink some jars during build

* Fri Apr 03 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.4
- comment out Requires: jaxrpc_1_1_api

* Wed Apr 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.3
- add all produced zips

* Tue Mar 31 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.2
- use upstream name for zip

* Fri Mar 27 2009 David Walluck <dwalluck@redhat.com> 0:2.5.6-1.1
- add zip package

* Mon Mar 16 2009 Ralph Apel <r.apel at r-apel.de> 0:2.5.6-1
- 2.5.6
- Adapt to struts-1.3.8
- (B)R jsf_1_1_api instead of myfaces
- (B)R junit44 (4.5 won't do)

* Wed Oct 29 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-2.jpp6
- BR java-devel >= 1.6.0 (.ge. and no epoch, [openjdk])
- BR easymock-java5
- Link in excalibur/avalon-framework

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:2.5.5-2
- fix avalon-framework symlink
- remove javadoc scriptlets
- GCJ fixes
- update BuildRoot
- update License
- fix maven directory ownership
- fix file permissions

* Fri Jul 18 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.5-1.jpp5
- 2.5.5

* Thu Jul 17 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.1-2.jpp5
- Fix depmap frag for context-support
- Patch to jruby 1.1.1
- Import to cvs
- Drop mock post/postun

* Thu Mar 06 2008 Ralph Apel <r.apel at r-apel.de> 0:2.5.1-1jpp
- 2.5.1 as spring2

* Tue Aug 07 2007 Ralph Apel <r.apel at r-apel.de> 0:1.2.9-1jpp
- Upgrade to 1.2.9

* Mon Jul 23 2007 Ralph Apel <r.apel at r-apel.de> 0:1.2.7-2jpp
- Change jsf (B)R to myfaces
- Change jetty4 (B)R to jetty5
- Add easymock-classextension BR and fix lib name
- Add ibatis1 (B)R 
- Add poms and depmap frags
- Add gcj_support option
- Make Vendor, Distribution based on macro

* Tue Mar 28 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.7-1jpp
- Update to 1.2.7

* Thu Mar 16 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-5jpp
- Patch out tests fork option -XX:MaxPermSize=, will only work with sun
- Set JAVA_HOME more generally

* Thu Mar 16 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-4jpp
- Avoid ibatis1 dependency
- Make hibernate2 dependency optional
- Reduce mx4j logging
- Switch to burlap-3.0.8 and hessian-3.0.8
- Add missing jetty4 dependency

* Sat Mar 11 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-3jpp
- Use smaller source zip without dependencies included
- Replace apache-jdo20 (1.6/devel) with apache-jdo-2.0-api
- Patch DefaultJdoDialect.patch correspondently
- Specify BR mx4j >= 0:3.0.1-2jpp

* Fri Mar 10 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-2jpp
- Eliminated all non-free dependencies
- Require mx4j >= 3.0.1-2jpp with burlap and hessian support
- Use burlap3 and hessian3

* Fri Feb 24 2006 Ralph Apel <r.apel at r-apel.de> 0:1.2.6-1jpp
- Update test to 1.2.6

* Tue Oct 18 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.5-2jpp
- Add missing jars and sub-packages

* Thu Sep 29 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.5-1jpp
- Upgrade to 1.2.5

* Wed Sep 21 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2.4-1jpp
- Upgrade to 1.2.4
- Pending toplink-api from upstream (oracle)
- Pending rowset from upstream (sun), must still build with JDK-1.5

* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-2jpp
- Adapt to axis-1.2: JaxRpcSupportTests.java to override loadService()

* Wed Feb 16 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1.4-1jpp
- Upgrade to 1.1.4 (thx Joe Wortmann)

* Mon Dec 13 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1.3-1jpp
- Upgrade to 1.1.3
- Break up into subpackages and relax dependencies
- Fix non-versioned jars in /usr/share/java/spring

* Fri Oct 08 2004 Ralph Apel <r.apel at r-apel.de> 0:1.1-1jpp
- First release

